Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ultrasearch.crawler
Interface UrlData

All Known Implementing Classes:
  DocAttributes

public interface UrlData

UrlData is an interface used by a crawler agent to submit URL-related data to the crawler.

Field Summary
`static int` | `ACCESS_URL` Access URL property of a document
`static int` | `ACL` URL Access Control List
`static int` | `ATTR_DATE` Date attribute data type
`static int` | `ATTR_NUMBER` Number attribute data type
`static int` | `ATTR_STRING` String attribute data type
`static int` | `DELETED` Delete flag
`static int` | `DISPLAY_URL` Display URL property of a document
`static int` | `DOC_KEY` Document key of a document
`static java.lang.String` | `FALSE` Property value is false
`static int` | `LANGUAGE` Language of a document
`static int` | `OWNER` URL owner (LDAP Distinguished Name or GUID)
`static int` | `OWNER_FORMAT` URL owner format ("DN" or "GUID")
`static int` | `PARSE_DOC` Parsing document for attribute value
`static java.lang.String` | `TRUE` Property value is true

Method Summary
`void` | `addAttribute(java.lang.String name, java.math.BigDecimal value)` Add an attribute value whose type is number
`void` | `addAttribute(java.lang.String name, java.sql.Date value)` Add an attribute value whose type is java.sql.Date
`void` | `addAttribute(java.lang.String name, java.lang.String value)` Add an attribute value whose type is string
`void` | `clearData()` Clear all URL data
`java.lang.String` | `getAttributeName(int attrIndex)` Get the name of the specified attribute
`int` | `getAttributeType(int attrIndex)` Get the data type of the specified attribute
`java.util.Enumeration` | `getAttributeValues(int attrIndex)` Get the list of values for a specified attribute
`int` | `getNumAttributes()` Get number of attributes
`int` | `getNumAttrValues()` Get number of attribute values
`java.lang.String` | `getProperty(int name)` Get the value of an URL data property
`void` | `setProperty(int name, java.lang.String value)` Set the value of a document property

Field Detail

### DISPLAY_URL

    public static final int DISPLAY_URL

  Display URL property of a document
  See Also:
    Constant Field Values

### ACCESS_URL

    public static final int ACCESS_URL

  Access URL property of a document
  See Also:
    Constant Field Values

### DOC_KEY

    public static final int DOC_KEY

  Document key of a document
  See Also:
    Constant Field Values

### LANGUAGE

    public static final int LANGUAGE

  Language of a document
  See Also:
    Constant Field Values

### PARSE_DOC

    public static final int PARSE_DOC

  Parsing document for attribute value
  See Also:
    Constant Field Values

### DELETED

    public static final int DELETED

  Delete flag
  See Also:
    Constant Field Values

### ACL

    public static final int ACL

  URL Access Control List
  See Also:
    Constant Field Values

### OWNER

    public static final int OWNER

  URL owner (LDAP Distinguished Name or GUID)
  See Also:
    Constant Field Values

### OWNER_FORMAT

    public static final int OWNER_FORMAT

  URL owner format ("DN" or "GUID")
  See Also:
    Constant Field Values

### TRUE

    public static final java.lang.String TRUE

  Property value is true
  See Also:
    Constant Field Values

### FALSE

    public static final java.lang.String FALSE

  Property value is false
  See Also:
    Constant Field Values

### ATTR_STRING

    public static final int ATTR_STRING

  String attribute data type
  See Also:
    Constant Field Values

### ATTR_NUMBER

    public static final int ATTR_NUMBER

  Number attribute data type
  See Also:
    Constant Field Values

### ATTR_DATE

    public static final int ATTR_DATE

  Date attribute data type
  See Also:
    Constant Field Values

Method Detail

### setProperty

    public void setProperty(int name,
                            java.lang.String value)

  Set the value of a document property
  Parameters:
    `name` - the name of the property
    `value` - the value of the property

### getProperty

    public java.lang.String getProperty(int name)

  Get the value of an URL data property
  Parameters:
    `name` - the name of the property
  Returns:
    the property value which can be null if there is no such property

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.math.BigDecimal value)

  Add an attribute value whose type is number
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.sql.Date value)

  Add an attribute value whose type is java.sql.Date
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.lang.String value)

  Add an attribute value whose type is string
  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute

### getNumAttributes

    public int getNumAttributes()

  Get number of attributes
  Returns:
    number of attributes for this document

### getNumAttrValues

    public int getNumAttrValues()

  Get number of attribute values
  Returns:
    number of attribute values for this document

### getAttributeName

    public java.lang.String getAttributeName(int attrIndex)

  Get the name of the specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    the name of the specified attribute

### getAttributeType

    public int getAttributeType(int attrIndex)

  Get the data type of the specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    the data type of the specified attribute: ATTR_INT, ATTR_STR, or ATTR_DATE.

### getAttributeValues

    public java.util.Enumeration getAttributeValues(int attrIndex)

  Get the list of values for a specified attribute
  Parameters:
    `attrIndex` - 0 based index indicating which attribute
  Returns:
    an enumeration of objects containing attribute values

### clearData

    public void clearData()

  Clear all URL data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle® Ultra Search Java API Reference 10g Release 2 (10.2) B14221-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003,2005, Oracle. All Rights Reserved.